commit:     818ece056b9b5dfc5a8bf48476f62412cf616fc5
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  9 08:28:02 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri Nov  9 08:28:02 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=818ece05

app-emulation/docker-proxy: Update snapshot for docker-18.09.0

Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 app-emulation/docker-proxy/Manifest                |  1 +
 .../docker-proxy-0.8.0_p20180907.ebuild            | 36 ++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/app-emulation/docker-proxy/Manifest 
b/app-emulation/docker-proxy/Manifest
index 7f518d51360..2f5b8db2fdf 100644
--- a/app-emulation/docker-proxy/Manifest
+++ b/app-emulation/docker-proxy/Manifest
@@ -1,2 +1,3 @@
 DIST docker-proxy-0.8.0_p20180411.tar.gz 2695069 BLAKE2B 
5205d5700ad116bb457dc7a57f2624f9efa46f1dbf3f5fe9215077655cddba8e1e1301bc555fb43a22cba4d74423123953a67994bf8974b114350e64be601299
 SHA512 
300e197313017536f91768ba675f2ab773eb1914f8e5908f4ff5b6fc8c4f0fa5ba1653cd9f8ca26e7c466f1623716aa45a2746f862e47ca9fe9136010085f600
 DIST docker-proxy-0.8.0_p20180626.tar.gz 2718698 BLAKE2B 
6214ba714ba8b01214168171f465dfaee4d8ff791db7a219a3fb92fade3e4207d36d90090790c0a3059e6fb209f3cd8bb0082ca75496108ebffb7c9b0c5092a4
 SHA512 
21d3d1bd8aafeab51a3e0a14ada4d559b5b113a48d315e91f7d70e4fa839f5c92d4068b38c28bf6929da9c11cfc61703bafc7148f64b784208d61fa14ee4545d
+DIST docker-proxy-0.8.0_p20180907.tar.gz 2711336 BLAKE2B 
ad1fc76347058610e2cd1659fb89f9990cc704c3a31006b976e44f31a30e754ac86e7b4823c48461cdcba948bb8d320ae25eac1e13b26f1fde072343251a61e0
 SHA512 
603ad154d0987a021dae69d542fa82a53b8d25ad9b44cf16f0ef551e0b81e0174dcc73b3a8e9ba89ca1d209f0022e767d44a8350b00b9b4e252cfab698b1d5bd

diff --git a/app-emulation/docker-proxy/docker-proxy-0.8.0_p20180907.ebuild 
b/app-emulation/docker-proxy/docker-proxy-0.8.0_p20180907.ebuild
new file mode 100644
index 00000000000..d61e4bdf35d
--- /dev/null
+++ b/app-emulation/docker-proxy/docker-proxy-0.8.0_p20180907.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN="github.com/docker/libnetwork"
+
+if [[ ${PV} == *9999 ]]; then
+       inherit golang-vcs
+else
+       EGIT_COMMIT="6da50d1978302f04c3e2089e29112ea24812f05b"
+       SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
+       inherit golang-vcs-snapshot
+fi
+
+DESCRIPTION="Docker container networking"
+HOMEPAGE="https://github.com/docker/libnetwork";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+RDEPEND="!<app-emulation/docker-1.13.0_rc1"
+
+RESTRICT="test" # needs dockerd
+
+src_compile() {
+       GOPATH="${WORKDIR}/${P}" go build -o "bin/docker-proxy" ./cmd/proxy || 
die
+}
+
+src_install() {
+       dodoc ROADMAP.md README.md CHANGELOG.md
+       dobin bin/docker-proxy
+}

Reply via email to